Subject: bug#61928: closed (Re: bug#61928: [PATCH 0/2] Update and style-ize rnp)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Mar 2023 14:08:02 +0000

Your bug report

#61928: [PATCH 0/2] Update and style-ize rnp

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61928: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61928
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61928: [PATCH 0/2] Update and style-ize rnp
From: Ludovic Courtès <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Mar 2023 15:07:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jack Hill <[email-masked]> skribis:

> These patches update rnp and improve the package style (label-less
> inputs and other miscellaneous cleanups). I tested on x86_64
> linux. This update means we can remove some patches as the upstream
> version now works well with Guix. I was also able to remove a python2
> input. Yay!

Well done!

>   gnu: rnp: Update to 0.16.2.
>   gnu: rnp: Improve package style.

Applied, thanks!

qa.guix did not pick it up for some reason, but I confirm it builds on
x86_64-linux with today’s ‘master’.

Ludo’.

Subject: [PATCH 0/2] Update and style-ize rnp
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Thu, 2 Mar 2023 23:31:36 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

These patches update rnp and improve the package style (label-less inputs 
and other miscellaneous cleanups). I tested on x86_64 linux. This update 
means we can remove some patches as the upstream version now works well 
with Guix. I was also able to remove a python2 input. Yay!

Best,
Jack

Jack Hill (2):
   gnu: rnp: Update to 0.16.2.
   gnu: rnp: Improve package style.

  gnu/local.mk                                  |   3 -
  gnu/packages/openpgp.scm                      |  65 +++----
  .../patches/rnp-add-version.cmake.patch       | 169 ------------------
  .../patches/rnp-disable-ruby-rnp-tests.patch  |  26 ---
  .../patches/rnp-unbundle-googletest.patch     |  43 -----
  5 files changed, 23 insertions(+), 283 deletions(-)
  delete mode 100644 gnu/packages/patches/rnp-add-version.cmake.patch
  delete mode 100644 gnu/packages/patches/rnp-disable-ruby-rnp-tests.patch
  delete mode 100644 gnu/packages/patches/rnp-unbundle-googletest.patch

-- 
2.39.1